Bug 71468 - Bad permissions in /dev after ctrl-alt-backspace in X.
Bad permissions in /dev after ctrl-alt-backspace in X.
Status: CLOSED DUPLICATE of bug 59936
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-08-13 18:59 EDT by Need Real Name
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-13 19:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-13 18:59:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
A ctrl-alt-backspace on an xserver fails to reset the permissions from
/etc/security/console.perms so the original user owns the floppy, cdrom, sound
etc.  pam_console_apply -r does not reset /dev/console either.

Version-Release number of selected component (if applicable): 0.75-32

How reproducible:

Steps to Reproduce:
1. ctrl-alt-backspace in kde [served from kdm]
2. login as different user
3. Cannot access /dev/{fd0,dsp} etc

Actual Results:  Original user is listed in /var/run/console/$USER and in
/var/run/console.lock, and owns all the files in /dev as according to
/etc/security/console.perms, when they are not actually logged in.  Subsequent
logins with correct logouts by original user do not alter the permissions.  The
original user retains all /dev permissions until reboot.

Expected Results:  Ownership of /dev/{fd0,dsp} etc should have reverted to root.
Subsequently running pam_console_apply -r to reset the perms fails to reset the
/dev/console ownership. The original user logging in + out correctly could fix
the problem? 

Additional info:
Security Risk:  In principal a rogue user can use this to get remote access to
the microphone, speaker, etc by using ctrl-alt-backspace to logout and then
subsequently logging in remotely. Denial of floppy + sound to other users.

Redhat 7.3 using kerberos5 + NIS, default pam, using kde + kdm

An additional last-minute earch came up with Bug #59936
Comment 1 Mark J. Cox (Product Security) 2002-08-16 03:58:21 EDT

*** This bug has been marked as a duplicate of 59936 ***

Note You need to log in before you can comment on or make changes to this bug.